Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class RepeatWeeklyAdjust

    java.lang.Object
      com.compoze.collab.beacm.RepeatAdjust
          com.compoze.collab.beacm.RepeatWeeklyAdjust

All Implemented Interfaces
  Serializable

    public class RepeatWeeklyAdjust

extends RepeatAdjust
implements Serializable

This class stores the values for a 'repeat weekly' adjust. You can use this class to specify which days of the week to repeat on.

See Also
  Serialized Form

Constructor Summary
`RepeatWeeklyAdjust()` Constructor.
`RepeatWeeklyAdjust(String[] values)` Constructor.

Method Summary
`void` | `addDayOfWeek(int iDayOfWeek)` Adds the day of week to the repeat adjust.
`boolean` | `containsDay(int iDayOfWeek)` Checks to see if this adjust contains the day of week.
`boolean` | `containsDayOfWeek(int iDayOfWeek)` Checks to see if this adjust contains the day of week.

Methods inherited from class com.compoze.collab.beacm.RepeatAdjust
`getValues, getValuesArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatWeeklyAdjust

    public RepeatWeeklyAdjust()

  Constructor.

  Parameters
    `values` - the adjust values

### RepeatWeeklyAdjust

    public RepeatWeeklyAdjust(String[] values)

  Constructor.

  Parameters
    `values` - the adjust values

Method Detail

### addDayOfWeek

    public void addDayOfWeek(int iDayOfWeek)

  Adds the day of week to the repeat adjust.

  Parameters
    `iDayOfWeek` - the day of the week (one of the `SUNDAY-SATURDAY` values)

### containsDayOfWeek

    public boolean containsDayOfWeek(int iDayOfWeek)

  Checks to see if this adjust contains the day of week.

  Parameters
    `iDayOfWeek` - the day of the week (from `RepeatPattern` day constants)
  Returns
    `true` if the adjust contains the specified day of week; `false` otherwise
  See Also
    `ICmRepeatPattern.SUNDAY`, `ICmRepeatPattern.MONDAY`, `ICmRepeatPattern.TUESDAY`, `ICmRepeatPattern.WEDNESDAY`, `ICmRepeatPattern.THURSDAY`, `ICmRepeatPattern.FRIDAY`, `ICmRepeatPattern.SATURDAY`

### containsDay

    public boolean containsDay(int iDayOfWeek)

  Checks to see if this adjust contains the day of week.

  Parameters
    `iDayOfWeek` - the day of the week (from `java.util.Calendar`)
  Returns
    `true` if it contains the specified day of week; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved